[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# TrimSet

Remove any leading or trailing characters in a set from a string and returns the result

## Declaration

Source position: strutils.pp line 256

`function TrimSet(`
`const S: string;`
`const CSet: TSysCharSet`
`):string;`

## Description

TrimSet performs the same action as RemovePadChars, but returns the resulting string.

## Errors

None.

## See also

Trim |  | Trim whitespace from the ends of a string.
RemoveLeadingChars |  | Remove any leading characters in a set from a string
RemoveTrailingChars |  | Remove any trailing characters in a set from a string
RemovePadChars |  | Remove any trailing or leading characters in a set from a string
TrimRightSet |  | Remove any trailing characters in a set from a string and returns the result
TrimLeftSet |  | Remove any leading characters in a set from a string and returns the result